Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Member Functions
tlp::GlCompositeHierarchyManager Class Reference

`#include <GlCompositeHierarchyManager.h>`

List of all members.

## Public Member Functions

- GlCompositeHierarchyManager (Graph *graph, GlLayer *layer, std::string layerName, LayoutProperty *layout, SizeProperty *size, DoubleProperty *rotation, bool visible=false, std::string namingProperty="name", std::string subCompositeSuffix=" sub-hulls")
- ~GlCompositeHierarchyManager ()
- void setGraph (tlp::Graph *graph)
- DataSet getData ()
- void setData (DataSet dataSet)
- void createComposite ()
- void setVisible (bool visible)
- bool isVisible () const

## Protected Member Functions

- virtual void addSubGraph (Graph *, Graph *)
- virtual void delSubGraph (Graph *, Graph *)
- virtual void afterSetAttribute (Graph *, const std::string &)
- virtual void beforeSetAttribute (Graph *, const std::string &)
- virtual void addNode (Graph *, const tlp::node)
- virtual void update (std::set< Observable * >::iterator begin, std::set< Observable * >::iterator end)
- virtual void observableDestroyed (Observable *)

## Detailed Description

Create a GlComposite item for each and every graph and subgraph. This class observes the graph to update said hierarchy when a subgraph is added or deleted.

## Constructor & Destructor Documentation

tlp::GlCompositeHierarchyManager::GlCompositeHierarchyManager | ( | Graph * | graph,
|  | GlLayer * | layer,
|  | std::string | layerName,
|  | LayoutProperty * | layout,
|  | SizeProperty * | size,
|  | DoubleProperty * | rotation,
|  | bool | visible = `false`,
|  | std::string | namingProperty = `"name"`,
|  | std::string | subCompositeSuffix = `" sub-hulls"`
| ) |  |

tlp::GlCompositeHierarchyManager::~GlCompositeHierarchyManager | ( |  | ) |

## Member Function Documentation

virtual void tlp::GlCompositeHierarchyManager::addNode | ( | Graph * | ,
|  | const tlp::node |
| ) |  | `[protected, virtual]`

virtual void tlp::GlCompositeHierarchyManager::addSubGraph | ( | Graph * | ,
|  | Graph * |
| ) |  | `[protected, virtual]`

virtual void tlp::GlCompositeHierarchyManager::afterSetAttribute | ( | Graph * | ,
|  | const std::string & |
| ) |  | `[protected, virtual]`

virtual void tlp::GlCompositeHierarchyManager::beforeSetAttribute | ( | Graph * | ,
|  | const std::string & |
| ) |  | `[protected, virtual]`

void tlp::GlCompositeHierarchyManager::createComposite | ( |  | ) |

virtual void tlp::GlCompositeHierarchyManager::delSubGraph | ( | Graph * | ,
|  | Graph * |
| ) |  | `[protected, virtual]`

DataSet tlp::GlCompositeHierarchyManager::getData | ( |  | ) |

bool tlp::GlCompositeHierarchyManager::isVisible | ( |  | ) | const

virtual void tlp::GlCompositeHierarchyManager::observableDestroyed | ( | Observable * |  | ) | `[protected, virtual]`

void tlp::GlCompositeHierarchyManager::setData | ( | DataSet | dataSet | ) |

void tlp::GlCompositeHierarchyManager::setGraph | ( | tlp::Graph * | graph | ) |

void tlp::GlCompositeHierarchyManager::setVisible | ( | bool | visible | ) |

virtual void tlp::GlCompositeHierarchyManager::update | ( | std::set< Observable * >::iterator | begin,
|  | std::set< Observable * >::iterator | end
| ) |  | `[protected, virtual]`

Tulip Software by LaBRI Visualization Team 2001 - 2012